%def_without test
%define module_name HTML-Robot-Scrapper
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Load.pm) perl(Data/Dumper.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(Digest/SHA.pm) perl(Digest/SHA1.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/Guess.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(HTML/TreeBuilder/XPath.pm) perl(HTTP/Headers/Util.pm) perl(HTTP/Tiny.pm) perl(Moose.pm) perl(Path/Class.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(XML/XPath.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Your robot to parse webpages
Group: Development/Perl
License: Perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HE/HERNAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This cralwer has been created to be extensible. Scalable with redis queue..
The main idea is: i need a queue of urls to be crawled, it can be an array living during 

my instance (not scalable)... or it can be a Redis queue ( scallable ), being acessed by 

many HTML::Robot::Scrapper instances.

Each request inserted into the queue is suposed to be independent. So this thing can scale. I mean,

Supose i need to create an object using stuff from page1, page2 and page3... that will be 3 requests

so, the first request will access page1 and collect data into $colleted_data, then, i will append another

request for page2 with $collected_data from page 1. So the request for page2 will collect some more data 

and merge with $collected_data from page1 generating $collected_data_from_page1_and_page2, and then i will insert

a new request into my queue for page3 that will collect data and merge with $collected_data_from_page1_and_page2

and create the final object: $collected_data_complete. 


Basicly, you need to create a 

    - reader: to read/parse your webpages and 

and a
        
    - writer: to save data you reader collected.

You 'might' need to add other content types also, creating your custom class based on:

    HTML::Robot::Scrapper::Parser::Default

See it and you will understand.. by default it handles: 
    
    - text/html
    - text/xml


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO Todo LICENSE
%perl_vendor_privlib/H*

%changelog
* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

